IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CF_SCA_ValidoAcceso]') 
                   and [type] = 'FN')
BEGIN
    DROP FUNCTION dbo.CF_SCA_ValidoAcceso
END
GO

CREATE FUNCTION [dbo].[CF_SCA_ValidoAcceso](@pId_Acceso SMALLINT)
RETURNS TINYINT
AS
BEGIN
DECLARE @Flag_Acceso_Existente	TINYINT
DECLARE @Id_Acceso				SMALLINT

SET @Flag_Acceso_Existente	= 0
SET @Id_Acceso				= 0

SET @Id_Acceso = ISNULL((SELECT Id_Acceso FROM CD_Accesos WHERE Id_Acceso = @pId_Acceso), 0)

IF (@Id_Acceso <> 0)
BEGIN
	/*Encontró el Id_Acceso en la tabla CD_Accesos*/
	SET @Flag_Acceso_Existente = 1
END

RETURN ISNULL(@Flag_Acceso_Existente, 0)

END